<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <main>
        <div class="container">
            <table>
                <tr>
                    <td><input id="one" type="text" onclick="data();check()"> </td>
                    <td> <input id="two" type="text" onclick="data();check()"></td>
                    <td> <input id="three" type="text" onclick="data();check()"></td>
                </tr>
                <tr>
                    <td> <input id="four" type="text" onclick="data();check()"></td>
                    <td> <input id="five" type="text" onclick="data();check()"></td>
                    <td> <input id="six" type="text" onclick="data();check()"></td>
                </tr>
                <tr>
                    <td> <input id="seven" type="text" onclick="data();check()"></td>
                    <td> <input id="eight" type="text" onclick="data();check()"></td>
                    <td> <input id="nine" type="text" onclick="data();check()"></td>
                </tr>

                <script>
                    function data(){
                        var flag=1;
                        if(flag==1){
                            document.getElementById("one")="x";
                            flag=0;
                        else{
                            document.getElementById
                        }
                
                        }
                    }
f
                </script>
            </table>
        </div>
    </main>
</body>

</html>